Index: LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5285)
@@ -11,16 +11,5 @@
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT none
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5285)
@@ -3,16 +3,5 @@
   USE dimphy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !=====================================================================
Index: LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5285)
@@ -3,16 +3,5 @@
   USE dimphy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
   USE yoethf_mod_h
 IMPLICIT NONE
Index: LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5285)
@@ -9,18 +9,6 @@
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5285)
@@ -9,18 +9,6 @@
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/checkmass.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/checkmass.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/checkmass.f90	(revision 5285)
@@ -2,16 +2,5 @@
   USE dimphy
 USE geometry_mod , ONLY:cell_area
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90	(revision 5285)
@@ -2,16 +2,5 @@
         flux,paprs,pplay,d_tr)
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
   USE dimphy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
Index: LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5285)
@@ -6,16 +6,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5285)
@@ -32,18 +32,6 @@
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/deposition.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5285)
@@ -11,18 +11,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/finemission.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5285)
@@ -16,18 +16,6 @@
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5285)
@@ -9,16 +9,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5285)
@@ -10,18 +10,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5285)
@@ -10,18 +10,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5285)
@@ -4,16 +4,5 @@
   USE dimphy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !=====================================================================
Index: LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5285)
@@ -4,16 +4,5 @@
   USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5285)
@@ -14,16 +14,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
 !=====================================================================
Index: LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5285)
@@ -15,16 +15,5 @@
   USE iophy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
 !=====================================================================
Index: LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90	(revision 5285)
@@ -6,16 +6,5 @@
   USE indice_sol_mod
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5285)
@@ -395,16 +395,5 @@
 
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
     USE clesphys_mod_h
     USE iniprint_mod_h
Index: LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5285)
@@ -794,16 +794,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+      USE yomcst_mod_h
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
@@ -820,6 +809,5 @@
                               mth_cur, phys_cal_update
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-      USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+      USE paramet_mod_h
       USE alpale_mod
       USE yoethf_mod_h
Index: LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5285)
@@ -21,18 +21,6 @@
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5285)
@@ -5,6 +5,5 @@
   USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5285)
@@ -24,6 +24,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5285)
@@ -12,6 +12,5 @@
        USE netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
        USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5285)
@@ -6,6 +6,5 @@
    ! USE write_field_phy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5285)
@@ -6,16 +6,5 @@
   USE dimphy
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5285)
@@ -11,16 +11,5 @@
    USE infotrac
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE yomcst_mod_h
 IMPLICIT NONE
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5284)
+++ LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5285)
@@ -9,18 +9,6 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+USE paramet_mod_h
+USE yomcst_mod_h
 IMPLICIT NONE
 
